{% extends 'base.html' %}
{% load static %}

{% block styles %}{% endblock styles %}
{% block scripts %}{% endblock scripts %}
{% block title %}Мой профиль{% endblock title %}
{% block content %}
    <div class="content" style="padding: 20px 25px 150px;">
        <div class="uk-grid uk-child-width-expand@s" uk-grid>
            <div class="uk-width-1-3@m">
                <div class="uk-card uk-card-default" style="min-width: 280px;">
                    <div class="uk-card-media-top uk-text-center">
                        <div class="uk-card-body">
                            <h5 class="uk-text-bold uk-text-center">Telegram ID: {{ request.user.bot_id }}</h5>
                            <hr>
                            <p class="uk-text-small uk-margin-remove-bottom uk-text-center">Последний вход:<br><span
                                    class="uk-text-secondary">{{ request.user.last_login|date }}</span>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="uk-width-expand@m">
                <div class="uk-card uk-card-default uk-card-small uk-card-body">
                    <form class="uk-form-stacked" method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        <div>
                            <label class="uk-form-label" for="form-stacked-text">Фамилия:</label>
                            <div class="uk-form-controls">
                                <input class="uk-input" id="id_last_name" type="text" name="last_name"
                                       placeholder="Фамилия" maxlength="150"
                                       value="{{ form.last_name.value }}">
                            </div>
                        </div>
                        <div class="uk-margin">
                            <label class="uk-form-label" for="form-stacked-text">Имя:</label>
                            <div class="uk-form-controls">
                                <input class="uk-input" id="id_first_name" type="text" name="first_name"
                                       placeholder="Имя" maxlength="30"
                                       value="{{ form.first_name.value }}">
                            </div>
                        </div>
                        <button type="submit" class="uk-button uk-button-default">СОХРАНИТЬ</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div id="modal-center" class="uk-flex-top" uk-modal>
        <div class="uk-modal-dialog uk-modal-body uk-margin-auto-vertical">
            <button class="uk-modal-close-default" type="button" uk-close></button>
            <p id="for-message" class="uk-text-center"></p>
        </div>
    </div>
{% endblock content %}